ice2slice(1)

NAME
ice2slice - The Ice to Slice compiler.

SYNOPSIS
ice2slice [options][files]

DESCRIPTION
The ice2slice compiler transforms Slice definitions in .ice files into Slice definitions in .slice files. .ice files are understood by the Slice compilers provided by Ice, while .slice files are understood by the new Slice compiler developed as part of IceRPC.

OPTIONS

-h, --help
    Displays the help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Adds the directory DIR to the search path for #include directives.

--output-dir DIR
    Places the generated files into the directory DIR.

-d, --debug
    Prints debug information showing the operation of the Slice parser.

--validate
    Checks the provided command-line options for correctness and does not generate any code.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2java(1), slice2js(1), slice2matlab(1), slice2php(1), slice2py(1), slice2rb(1), slice2swift(1)